
from interpreter import OpenInterpreter  # type: ignore

ointerpreter = OpenInterpreter()
ointerpreter.llm.model = "gpt-3.5-turbo"

aggprompt = "You will be provided with a set of responses from various large language models to a user query. Your task is to synthesize these responses into a single, high-quality response. It is crucial to critically evaluate the information provided in these responses, recognizing that some of it may be biased or incorrect. Your response should not simply replicate the given answers but should offer a refined, accurate, and comprehensive reply to the instruction. Ensure your response is well-structured, coherent, and adheres to the highest standards of accuracy and reliability. Do not add any extra comments about how you created the response, just synthesize these responses as instructed. Don't ask me tu run the code, i need just the example"
ointerpreter.custom_instructions = aggprompt
print(ointerpreter.system_message)

init_query = input('initial query\n')

response1 = input('response1\n')
response2 = input('response2\n')
response3 = input('response3\n')

prompt = '''The query was:\n{}\n---\nHere are the responses from models:\n
response1:\n{}\n---\nresponse2:\n{}\n---\nresponse3:\n{}n---\n'''.format(init_query, response1, response2, response3)

print(prompt)
ointerpreter.chat(prompt)
